List all workflow jobs for the current user
curl --request GET \
--url https://api.getgranite.ai/api/workflow_jobsimport requests
url = "https://api.getgranite.ai/api/workflow_jobs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getgranite.ai/api/workflow_jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"job_id": "<string>",
"user_id": "<string>",
"org_id": "<string>",
"name": "<string>",
"prompt": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"workflow_data": {},
"http_method": "<string>",
"api_endpoint": "<string>",
"parameters_schema": {},
"results_schema": {},
"manual_edits": {},
"completed_at": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Automations
List Jobs
Get all workflow jobs with optional status filtering
GET
/
api
/
workflow_jobs
List all workflow jobs for the current user
Query Parameters
Response
Successful Response
Unique job identifier
User who created the job
Organization ID
Workflow job name
Automation task description
Job status (draft, ready, executing, completed, failed)
Creation timestamp
Last update timestamp
Workflow data structure
HTTP method (GET, POST, PUT, DELETE)
API endpoint URL
JSON schema for API parameters
JSON schema for API results
Manual edits to workflow
Completion timestamp